const config = require('../config');

exports.getPageEntries = function () {
    let entries = {};
    let entryFiles = rreaddir(this.build.entryDirectory);
    // noinspection JSUnresolvedFunction
    entryFiles.forEach(entryFile => {
        entryFile = path.relative(this.build.entryDirectory, entryFile);
        let result = (/(.*)\.js$/).exec(entryFile);
        if (result) {
            let name = `${result[1]}`;
            if (name === 'manifest' || name === 'vendor' || name === 'commons') {
                throw new Error("entry named " + name + " uses a reserved name");
            }
            entries[name] = path.join(this.build.entryDirectory, entryFile);
        }
    });
    
    return entries;
};
